
Foreman - Bug #33258

Provisioning Templates page returns "Oops, we're sorry but something went wrong undefined

method `key?' for :template_kind:Symbol"

08/15/2021 08:35 PM - Bruce Howells

Status: Rejected   

Priority: Normal   

Assignee:    

Category: Templates   

Target version:    

Difficulty:  Fixed in Releases:  

Triaged: No Found in Releases: 3.0.0

Bugzilla link:  Red Hat JIRA:  

Pull request:    

Description

I was able to initially access the Provisioning Templates page, but having added some additional operating systems, I'm no longer

able to access the Templates page.  Not sure if the two are related.

History

#1 - 08/17/2021 09:43 AM - Tomer Brisker

- Category set to Templates

- Target version set to 3.0.0

#2 - 08/17/2021 09:59 AM - Tomer Brisker

- Status changed from New to Rejected

- Target version deleted (3.0.0)

Thanks for reporting!

Looks like the issue is actually in the puppet plugin, https://github.com/theforeman/foreman_puppet/issues/178, and has been fixed already. Closing

this one.

Files

28da9938.fetch_log 12 KB 08/15/2021 Bruce Howells

foreman-debug-xoxSk.tar.xz 2.32 MB 08/15/2021 Bruce Howells
